Papers
Upload a Paper
Upload a document to Paperful for processing.
AuthorizationBearer <token>
In: header
Query Parameters
fileName?string
collectionId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidHeader Parameters
Content-Disposition?string
Specifies the uploaded file name
Accept?string
Use text/event-stream to wait for processing events.
Value in
- "application/json"
- "text/event-stream"
content-type?string
content-disposition?string
accept?string
Request Body
application/octet-stream
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
text/event-stream
application/json
curl -X POST "https://example.com/papers" \ -H "Content-Disposition: attachment; filename="annual-report.pdf"" \ -H "Accept: text/event-stream" \ -H "Content-Type: application/octet-stream" \ -d 'string'"string"